Subject: Re: [PATCH] arm64: armv8_deprecated: add missing arm/kprobes.h header

From: Stephen Rothwell <[email-masked]>
Date: Thu, 9 Feb 2017 07:45:03 +1100

Hi Will,

On Wed, 8 Feb 2017 19:09:05 +0000 Will Deacon <[email-masked]> wrote:
>
> Thanks, Luis.
> 
> On Wed, Feb 08, 2017 at 09:33:41AM -0800, Luis R. Rodriguez wrote:
> > 0-day caught a compile issue after the commit titled (kprobes: move
> > kprobe declarations to asm-generic/kprobes.h) was applied. This fixes
> > that.
> > 
> > Reported-by: 0-day
> > Cc: Mark Brown <[email-masked]>
> > Cc: Masami Hiramatsu <[email-masked]>
> > Cc: Catalin Marinas <[email-masked]>
> > Cc: Will Deacon <[email-masked]>
> > Signed-off-by: Luis R. Rodriguez <[email-masked]>
> > ---
> > 
> > As seen on linux-next tag next-20170208.  
> 
> I'm happy to pick this up in arm64, but given that the offending commit
> comes via akpm, I guess he may prefer to pick it up so that his tree
> builds for arm64 stand-alone. In that case:
> 
> Acked-by: Will Deacon <[email-masked]>

I have added this to Andrew's tree in linux-next for today.
-- 
Cheers,
Stephen Rothwell